Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.util
Class L10N

    java.lang.Object
      |
      +--com.caucho.util.L10N

public class L10N
extends java.lang.Object

Localization

Constructor Summary
`L10N(java.lang.Class cl)`
`L10N(java.lang.String path)`

Method Summary
`java.lang.String` | `l(java.lang.String msg)`
`java.lang.String` | `l(java.lang.String msg, java.lang.Object o)`
`java.lang.String` | `l(java.lang.String msg, java.lang.Object o1, int i2)`
`java.lang.String` | `l(java.lang.String msg, java.lang.Object o1, java.lang.Object o2)`
`java.lang.String` | `l(java.lang.String msg, java.lang.Object o1, java.lang.Object o2, java.lang.Object o3)`
`java.lang.String` | `l(java.lang.String msg, java.lang.Object o1, java.lang.Object o2, java.lang.Object o3, java.lang.Object o4)`
`java.lang.String` | `l(java.lang.String msg, java.lang.Object o1, java.lang.Object o2, java.lang.Object o3, java.lang.Object o4, java.lang.Object o5)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### L10N

    public L10N(java.lang.Class cl)

### L10N

    public L10N(java.lang.String path)

Method Detail

### l

    public java.lang.String l(java.lang.String msg)

### l

    public java.lang.String l(java.lang.String msg,
                              java.lang.Object o)

### l

    public java.lang.String l(java.lang.String msg,
                              java.lang.Object o1,
                              java.lang.Object o2)

### l

    public java.lang.String l(java.lang.String msg,
                              java.lang.Object o1,
                              int i2)

### l

    public java.lang.String l(java.lang.String msg,
                              java.lang.Object o1,
                              java.lang.Object o2,
                              java.lang.Object o3)

### l

    public java.lang.String l(java.lang.String msg,
                              java.lang.Object o1,
                              java.lang.Object o2,
                              java.lang.Object o3,
                              java.lang.Object o4)

### l

    public java.lang.String l(java.lang.String msg,
                              java.lang.Object o1,
                              java.lang.Object o2,
                              java.lang.Object o3,
                              java.lang.Object o4,
                              java.lang.Object o5)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD